net.i2p.client.streaming

## Class RetransmissionTimer

- java.lang.Object
- - net.i2p.util.SimpleTimer2
  - - net.i2p.client.streaming.RetransmissionTimer

-     public class RetransmissionTimer
      extends SimpleTimer2

  Not clear that we really need to create our own timer group, but we do, to prevent us clogging the router's timer group. Use from outside this package is deprecated. (BOB instantiates this for thread group reasons)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.i2p.util.SimpleTimer2

      `SimpleTimer2.TimedEvent`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RetransmissionTimer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RetransmissionTimer` | `getInstance()`

    - ### Methods inherited from class net.i2p.util.SimpleTimer2

      `stop, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RetransmissionTimer

          protected RetransmissionTimer()

  - ### Method Detail

    - #### getInstance

          public static final RetransmissionTimer getInstance()